org.licas.server.model

## Class BusEntity

- java.lang.Object
- - org.licas.server.model.BusEntity

-     public class BusEntity
      extends java.lang.Object

  Container class for a message bus object.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HIGH`
    `protected java.lang.String` | `id` A UUID for a specific service to invoke
    `static int` | `LOW` Priority values - larger value is higher priority
    `static int` | `LOWMED`
    `static int` | `MED`
    `static int` | `MEDHIGH`
    `protected int` | `priority` Optional priority to allow preferential queuing
    `protected HttpEntity` | `request` Message request
    `protected java.lang.String` | `ticket` A unique ticket number assigned to the request
    `protected java.lang.String` | `type` A service type to ask to process the message

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusEntity(java.lang.String theTicket)` Create a new instance of BusEntity.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getID()` Get the UUID for a specific service that has been selected to process the message.
    `HttpEntity` | `getRequest()` Get the http message request to be accepted.
    `java.lang.String` | `getTicket()` Get the unique ticket number for this request.
    `java.lang.String` | `getType()` Get the type for a service that is being asked to process the message.
    `void` | `setID(java.lang.String thisID)` Set the UUID for a specific service that has been selected to process the message.
    `void` | `setRequest(HttpEntity theRequest)` Set the http message request to be accepted.
    `void` | `setType(java.lang.String thisType)` Set the type for a service that is being asked to process the message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOW

          public static int LOW

      Priority values - larger value is higher priority

    - #### LOWMED

          public static int LOWMED

    - #### MED

          public static int MED

    - #### MEDHIGH

          public static int MEDHIGH

    - #### HIGH

          public static int HIGH

    - #### priority

          protected int priority

      Optional priority to allow preferential queuing

    - #### ticket

          protected java.lang.String ticket

      A unique ticket number assigned to the request

    - #### type

          protected java.lang.String type

      A service type to ask to process the message

    - #### id

          protected java.lang.String id

      A UUID for a specific service to invoke

    - #### request

          protected HttpEntity request

      Message request

  - ### Constructor Detail

    - #### BusEntity

          public BusEntity(java.lang.String theTicket)

      Create a new instance of BusEntity.
      Parameters:
        `theTicket` - unique ticket number for the request.

  - ### Method Detail

    - #### getTicket

          public java.lang.String getTicket()

      Get the unique ticket number for this request.
      Returns:
        the value of ticket.

    - #### setType

          public void setType(java.lang.String thisType)

      Set the type for a service that is being asked to process the message.
      Parameters:
        `thisType` - the service type.

    - #### getType

          public java.lang.String getType()

      Get the type for a service that is being asked to process the message.
      Returns:
        the value of type.

    - #### setID

          public void setID(java.lang.String thisID)

      Set the UUID for a specific service that has been selected to process the message.
      Parameters:
        `thisID` - the service UUID.

    - #### getID

          public java.lang.String getID()

      Get the UUID for a specific service that has been selected to process the message.
      Returns:
        the value of id.

    - #### setRequest

          public void setRequest(HttpEntity theRequest)

      Set the http message request to be accepted.
      Parameters:
        `theRequest` - the server handler.

    - #### getRequest

          public HttpEntity getRequest()

      Get the http message request to be accepted.
      Returns:
        the value of request.